﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace NativeImageDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            LayerOverlay layerOverlay = new LayerOverlay();

            //Load *.bmp image. Loading image extent by setting.
            RectangleShape worldExtent = new RectangleShape(-180, 90, 180, -90);
            NativeImageRasterLayer nativeImageRasterLayer = new NativeImageRasterLayer(@"../../AppData/WholeEarth56.bmp", worldExtent);

            //Load *.tif image. Loading image extent info from world file.
            //NativeImageRasterLayer nativeImageRasterLayer = new NativeImageRasterLayer(@"../../AppData/World.tif", @"../../AppData/World.tfw");

            layerOverlay.Layers.Add(nativeImageRasterLayer);
            winformsMap1.Overlays.Add(layerOverlay);

            nativeImageRasterLayer.Open();
            winformsMap1.CurrentExtent = nativeImageRasterLayer.GetBoundingBox(); ;
            winformsMap1.Refresh();
        }
    }
}
